%  Brent R. Hickman and Timothy P. Hubbard
% hickmanbr@uchicago.edu and timothy.hubbard@colby.edu

% please cite our Journal of Applied Econometrics paper "Replacing Sample
% Trimming with Boundary Correction in Nonparametric Estimation of
% First-Price Auctions" if this code is helpful to you.

% find random valuations from a mixture of Beta distributions

function f = mixbetarnd(v,u,a,b,gamma)

f = u - (gamma*v + (1 - gamma)*betacdf(v,a,b));